Annonce

Forum fermé : le support est désormais assuré sur Debian-Facile

HandyLinux rejoint Debian-FacileTous les détails sur le Blog !

Vous n'êtes pas identifié(e).

#1 2015-07-09 11:34:00

chalu
utilisatrice zen ;)
Lieu : Anjou
Inscription : 2015-04-26
Messages : 1 946

[Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Bonjour smile
Voici les étapes pour installer une imprimante HP (HP Deskjet 3520 ici)

1) Vérifier, si votre imprimante HP est récente, qu'elle est bien prise en charge par le pilote hplip 3.14.6 présent par défaut dans HandyLinux v2
Chercher sur cette page du site hp le modèle de votre imprimante en selectionnant le type d'imprimante et le modèle et cliquer sur le bouton Continue
par exemple pour moi type deskjet all in one et modèle HP deskjet 3520 E all in one series, j'obtiens le numéro de version minimale du pilote à utiliser le numéro de version minimale est 3.12.6 donc la version 3.14.6 proposée par HandyLinux v2 est supérieure et convient (voir le deuxième message si ça n'est pas le cas)

2) Allumer votre imprimante (laisser lui le temps de s'initialiser) puis raccorder le cable USB au PC

3) Une fenêtre de configuration s'ouvre
capturedcran-09072015-115908.php
Si ce n'est pas le cas : Handymenu > Aventuriers > Configurer une imprimante

4) Cliquer sur le bouton Ajouter

5) Dans la fenêtre qui s'ouvre sélectionner dans la colonne de gauche votre imprimante et cliquer sur le bouton suivant
capturedcran-09072015-120329.php
6) Une fenêtre de recherche de pilote s'affiche
capturedcran-09072015-120629.php
7) Cocher la case Duplexer Installed et cliquer sur suivant
capturedcran-09072015-120802.php
8) Une fenêtre apparaît avec votre imprimante reconnue, il reste à cliquer sur le bouton Appliquer
capturedcran-09072015-120941.php
On retrouve comme dans la documentation la possibilité d'imprimer une page test.

Votre imprimante scanner tout-en-un est fonctionnelle.

==== Scanner - Vérifier le niveau des cartouches d'encre - Dépanner ====
Pour scanner : Handymenu > Bureautique > Scanner un document
Cliquer sur le bouton Numériser. Pour choisir la résolution texte (noir et blanc) ou photon (couleur) cliquer sur la flêche juste à droite du bouton Numériser.
Pour modifier les préférences, par exemple la qualité de la résolution, cliquer sur l'icone du scanner en haut à gauche
capturedcran-09072015-122059.php

Pour accéder à différentes informations sur l'imprimante, dans le tableau de bord faire un clic gauche sur le bouton hp et clic gauche HP Device Manager
capturedcran-09072015-122654.php
Les différents onglets donnent des informations (en anglais)
Pour connaître le niveau d'encre c'est dans l'onglet Supplies
capturedcran-09072015-123128.php
En cas de blocages pour l'impression c'est dans l'onglet Printer Control que ça se résout.
capturedcran-09072015-123330.php

====== Installation d'un pilote plus récent ========
Si à l'étape 1) le site hp indique une version minimale pour le pilote supérieure à 3.14.6, et seulement dans ce cas, on peut installer la version de hplip-gui du dépôt jessie-backports qui est plus récente :
On active le dépôt jessie-backports à l'aide de Synaptic :
lancer Synaptic puis Configuration > Dépôts
Dans la fenêtre qui s'ouvre cocher en bas la ligne du dépôt jessie-backports fermer et recharger les dépôts
Fermer Synaptic
On installe le paquet hplip-gui du dépôt jessie-backports
Ouvrir un terminal et saisir la commande ci-dessous en validant par un appui sur la touche Entrée

sudo apt-get update && sudo apt-get -t jessie-backports install hplip-gui

Une fois l'installation faite reprendre les manipulations ci-dessus à partir du 2) pour installer l'imprimante HP.

Dernière modification par chalu (2016-10-15 09:56:56)

Hors ligne

#2 2015-07-09 16:24:32

gnu6200
Membre
Inscription : 2015-03-30
Messages : 45

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Salut Chalu, bonjour tout le monde,
Un grand merci pour ce tuto : j'ai la même imprimante à la maison ! yes
Cordialement.


C'est en se plantant qu'on devient cultivé !

Hors ligne

#3 2016-01-28 11:33:17

Mélanie
Pifo-bidouilleuse
Lieu : Châteaubriant (Bretagne)
Inscription : 2015-03-30
Messages : 1 265

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Bonjour Chalu, j'ai suivi ton tuto, pas à pas et... tout va bien ! Il fait même la numérisation en wifi ! Merci


Le plaisir d'apprendre, de réussir, de transmettre.

Hors ligne

#4 2016-03-13 14:22:58

pomme
Membre
Inscription : 2015-03-31
Messages : 78

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Bonjour à toutes et à tous,
Je viens de découvrir ce post après avoir fait également ce type d'installation du pilote pour une imprimante HP récente.
Tout fonctionne effectivement bien,mais j'ai tout de même une question:
Cette installation sera-t-elle pérenne en cas de mise à jour du noyau par exemple?
Merci.

Hors ligne

#5 2016-03-13 17:22:39

chalu
utilisatrice zen ;)
Lieu : Anjou
Inscription : 2015-04-26
Messages : 1 946

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Bonjour smile
Je ne pense pas qu'il y ait un souci avec une mise à jour tant que tu restes avec les dépôts jessie comme ils sont configurés dans HL.

Hors ligne

#6 2016-03-14 11:04:06

pomme
Membre
Inscription : 2015-03-31
Messages : 78

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Bonjour chalu,
Je parlais bien d'une mise à jour du noyau linux...enfin l'avenir le dira.
J'ai une question subsidiaire:
As-tu réussi à faire fonctionner le bouton "numérisation" sur l'imprimante qui permet d'envoyer le fichier vers un ordinateur sous "Windows" ou "Mac" mais ne fonctionne pas à priori vers Linux sans quelques "bidouillages"?
Merci.

Hors ligne

#7 2016-03-14 11:28:46

chalu
utilisatrice zen ;)
Lieu : Anjou
Inscription : 2015-04-26
Messages : 1 946

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Si tu parles des mises à jour avec le sources-list de HL, il n'y aura pas de probleme.
Apres quand on commence à bidouiller ...

Pour la numérisation directe, je n'ai pas testé. Je ne l'utilisais pas sous Windows, je passe toujours par le logiciel de scan. Si j'y pense, je regarderai au prochain démarrage.
Bonne journée smile

Hors ligne

#8 2016-10-14 18:30:02

fab-ris
Membre
Inscription : 2016-02-13
Messages : 30

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Bonjour,

Je cherche à installer une HP Envy 5640, aussi connue sous le nom US de "HP Deskjet Ink Advantage 5640 All-in-one Printer".
http://hplipopensource.com/hplip-web/mo … eries.html
Minimum HPLIP version    3.15.11
pilote hplip installé par défaut : 3.14.6

Pilote HPLIP téléchargé : 3.16.9
J'ai suivi la procédure à la lettre.
Malheureusement, j'ai plusieurs messages d'erreurs à la (presque) fin d'installation, non répertoriés ici.
"error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.error: Installation cannot continue without these dependencies.error: Please manually install this dependency and re-run this installer."

[== Indéfini ==]
Debian + HandyLinux-2 - prenez le contrôle de votre système
 utilisateur@handylinux ~/Téléchargements
 $ sudo sh hplip-3.16.9.run
[sudo] mot de passe pour utilisateur :       
Creating directory hplip-3.16.9
Verifying archive integrity... All good.
Uncompressing HPLIP 3.16.9 Self Extracting Archive..........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
warning: hplip-install should not be run as root.

HP Linux Imaging and Printing System (ver. 3.16.9)
HPLIP Installer ver. 5.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Installer log saved in: hplip-install_Fri-14-Oct-2016_18:53:12.log

/error: You are running the installer as root. It is highly recommended that you run the installer as
error: a regular (non-root) user. Do you still wish to continue?
Continue with installation (y=yes, n=no*, q=quit) ? y

note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.
error: debian-8.6 version is not supported, so all dependencies may not be installed. However trying to install using debian-8.5 version packages.

Press 'y' to continue auto installation. Press 'n' to quit auto instalation(y=yes, n=no*): y


INSTALLATION MODE
-----------------
Automatic mode will install the full HPLIP solution with the most common options.
Custom mode allows you to choose installation options to fit specific requirements.

Please choose the installation mode (a=automatic*, c=custom, q=quit) : a

Initializing. Please wait...


INTRODUCTION
------------
This installer will install HPLIP version 3.16.9 on your computer.
Please close any running package management systems now (YaST, Adept, Synaptic, Up2date, etc).


DISTRO/OS CONFIRMATION
----------------------
Distro appears to be Debian 8.6.

Is "Debian 8.6" your correct distro/OS and version (y=yes*, n=no, q=quit) ? y


INSTALLATION NOTES
------------------
NOTE: Disable the CD Sources in your apt sources.list or the install will fail and hang.

Please read the installation notes. Press <enter> to continue or 'q' to quit: 


SECURITY PACKAGES
-----------------
AppArmor is installed. 
AppArmor protects the application from external intrusion attempts making the application secure

Would you like to have this installer install the hplip specific policy/profile (y=yes, n=no*, q=quit) ? y


RUNNING PRE-INSTALL COMMANDS
----------------------------
OK


MISSING DEPENDENCIES
--------------------
Following dependencies are not installed. HPLIP will not work if all REQUIRED dependencies are not installed and some of the HPLIP features will not work if OPTIONAL dependencies are not installed.
Package-Name         Component            Required/Optional   
pyqt5-dbus           gui_qt5              REQUIRED            
libcrypto            network              REQUIRED            
libnetsnmp-devel     network              REQUIRED            
sane-devel           scan                 REQUIRED            
gcc                  base                 REQUIRED            
python-devel         base                 REQUIRED            
cups-devel           base                 REQUIRED            
scanimage            scan                 OPTIONAL            
pyqt5                gui_qt5              REQUIRED            
libusb               base                 REQUIRED            
libtool              base                 REQUIRED            
cups-image           base                 REQUIRED            
xsane                scan                 OPTIONAL            
libjpeg              base                 REQUIRED            
dbus                 fax                  REQUIRED            
avahi-utils          network              OPTIONAL            
Do you want to install these missing dependencies (y=yes*, n=no, q=quit) ? y


INSTALL MISSING REQUIRED DEPENDENCIES
-------------------------------------
note: Installation of dependencies requires an active internet connection.
warning: Missing REQUIRED dependency: gcc (gcc - GNU Project C and C++ Compiler)
warning: Missing REQUIRED dependency: python-devel (Python devel - Python development files)
warning: Missing REQUIRED dependency: cups-devel (CUPS devel- Common Unix Printing System development files)
warning: Missing REQUIRED dependency: libusb (libusb - USB library)
warning: Missing REQUIRED dependency: libtool (libtool - Library building support services)
warning: Missing REQUIRED dependency: cups-image (CUPS image - CUPS image development files)
warning: Missing REQUIRED dependency: libjpeg (libjpeg - JPEG library)
warning: Missing REQUIRED dependency: libcrypto (libcrypto - OpenSSL cryptographic library)
warning: Missing REQUIRED dependency: libnetsnmp-devel (libnetsnmp-devel - SNMP networking library development files)
warning: Missing REQUIRED dependency: pyqt5-dbus (PyQt 5 DBus - DBus Support for PyQt5)
warning: Missing REQUIRED dependency: pyqt5 (PyQt 5- Qt interface for Python (for Qt version 4.x))
warning: Missing REQUIRED dependency: dbus (DBus - Message bus system)
warning: Missing REQUIRED dependency: sane-devel (SANE - Scanning library development files)


INSTALL MISSING OPTIONAL DEPENDENCIES
-------------------------------------
note: Installation of dependencies requires an active internet connection.
warning: Missing OPTIONAL dependency for option 'network': avahi-utils (avahi-utils)
warning: Missing OPTIONAL dependency for option 'scan': scanimage (scanimage - Shell scanning program)
warning: Missing OPTIONAL dependency for option 'scan': xsane (xsane - Graphical scanner frontend for SANE)


CHECKING FOR NETWORK CONNECTION
-------------------------------
Network connection present.


RUNNING PRE-PACKAGE COMMANDS
----------------------------
su -c "dpkg --configure -a" (Pre-depend step 1)
su -c "apt-get install -f" (Pre-depend step 2)
su -c "apt-get update" (Pre-depend step 3)
OK


DEPENDENCY AND CONFLICT RESOLUTION
----------------------------------
Running 'su -c "apt-get install --force-yes -y g++"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y python-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libcups2-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y cups-bsd"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y cups-client"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libusb-1.0.0-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libtool"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libtool-bin"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libcupsimage2"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libcupsimage2-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libjpeg62-turbo-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libssl-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libsnmp-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y snmp"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y python-dbus.mainloop.pyqt5"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y gtk2-engines-pixbuf"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y python-pyqt5"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libdbus-1-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y libsane-dev"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y avahi-utils"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y sane-utils"'
Please wait, this may take several minutes...
Running 'su -c "apt-get install --force-yes -y xsane"'
Please wait, this may take several minutes...
error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.
error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.


RUNNING POST-PACKAGE COMMANDS
-----------------------------
OK


RE-CHECKING DEPENDENCIES
------------------------
error: A required dependency 'pyqt4-dbus (PyQt 4 DBus - DBus Support for PyQt4)' is still missing.
error: A required dependency 'pyqt4 (PyQt 4- Qt interface for Python (for Qt version 4.x))' is still missing.
error: Installation cannot continue without these dependencies.
error: Please manually install this dependency and re-run this installer.
 utilisateur@handylinux ~/Téléchargements
 $ 

Du coup, je suis perdu, j'arrive pas à installer mon imprimante/scanner...
De l'aide serait la bienvenue !

sos

Merci par avance !! love

Hors ligne

#9 2016-10-14 18:41:17

fab-ris
Membre
Inscription : 2016-02-13
Messages : 30

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

J'auto-réponds à mon problème, dont j'ai rapidement trouvé la solution en mettant (beaucoup plus simplement) à jour hplip en activant les backports avec Synaptic :

Ouvrir le gestionnaire des paquets Synaptics > Configuration > Dépôts et cocher les lignes en bas "jessie-backports"
Recharger les paquets, puis fermer synaptic

Ensuite, ouvrir un terminal :

sudo apt-get -t jessie-backports install hplip-gui

(solution de chalu, merci !) love

PENSER A METTRE A JOUR LE TUTO pour la mise à jour de hplip !  merci

Dernière modification par fab-ris (2016-10-14 18:42:23)

Hors ligne

#10 2016-10-15 07:18:56

chalu
utilisatrice zen ;)
Lieu : Anjou
Inscription : 2015-04-26
Messages : 1 946

Re : [Tutoriel] Installer une imprimante HP tout-en-un (all in one)

Merci pour le retour smile
Effectivement ça semble problématique maintenant d'installer le paquet fourni par HP. Il est sans doute davantage construit pour Ubuntu que Debian. Heureusement qu'il y a les backports wink

Hors ligne


⇒ xtra'gifs

Pied de page des forums

Forum ouvert le 03-03-2015 -- Propulsé par FluxBB

HandyLinux, une distribution Debian GNU/Linux sans se prendre la tête
historique du projet -- sources du projet -- avenir du projet